* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

body {
  font-family: "Roboto", sans-serif;
  min-height: 200vh;
  background: linear-gradient(180deg, #f5f7fa 60%, #b8c6db);
}

/********************* INFO */
.info {
  width: 100%;
  height: 30px;
  background-color: black;
  display: flex;
  justify-content: center;
  align-items: center;
}

.info h3 {
  color: white;
  font-weight: 300;
  font-size: 15px;
}

/********************* NAVBAR */
.navbar {
  display: flex;
  justify-content: flex-end;
  align-items: center;
  width: 100%;
  height: 50px;
  background-color: #f5f7fa;
  position: relative;
}

.banniere-img {
  display: block;
  height: 50px;
  width: 100px;
}

/* .navbar .search {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 30%;
  height: 30px;
  border-radius: 50px;
}

.navbar .search input[type="text"] {
  width: 100%;
  height: 30px;
  padding: 0 10px;
  outline: none;
  color: white;
  border-radius: 50px;
  border: none;
  background-color: black;
}

.search svg {
  margin-left: -30px;
  padding: 5px;
  cursor: pointer;
  color: white;
  height: 30px;
  width: 30px;
} */

.navbar .connection {
  display: flex;
  width: 150px;
  height: 50px;
}

.connection .nav-logo-center {
  display: flex;
  justify-content: center;
  align-items: center;
  text-decoration: none;
  color: black;
  width: 100%;
}

.connection .nav-logo-center:hover {
  color: gray;
}

.connection .fa-magnifying-glass {
  font-size: 25px;
}

.connection svg {
  width: 25px;
  height: 25px;
}

.connection .menu-btn {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100%;
  display: none;
}

.connection .hamburger {
  width: 25px;
  height: 2px;
  background-color: black;
  border-radius: 10px;
  position: relative;
  transition: all 400ms ease-in-out;
}

.connection .hamburger::before {
  content: "";
  position: absolute;
  transform: translateY(10px);
  width: 25px;
  height: 2px;
  background-color: black;
  border-radius: 10px;
  transition: all 400ms ease-in-out;
}

.connection .hamburger::after {
  content: "";
  position: absolute;
  transform: translateY(-10px);
  width: 25px;
  height: 2px;
  background-color: black;
  border-radius: 10px;
  transition: all 400ms ease-in-out;
}

/********* SEARCH HIDDEN */
.connection .search-hidden {
  position: absolute;
  top: 100%;
  height: auto;
  left: 0;
  z-index: 1;
  width: 100%;
  height: 200vh;
  display: none;
  background-color: #f5f7fa;
  animation: fade-in 1s ease-in;
}

@keyframes fade-in {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

.search-hidden .search-center {
  width: 100%;
  display: flex;
  justify-content: center;
  position: relative;
}

.search-hidden input[type="search"] {
  margin: 100px 0;
  height: 40px;
  width: 50%;
  padding: 20px;
  border-radius: 50px;
  border: 1px solid lightgray;
  font-size: 20px;
  outline: none;
}

.search-hidden input[type="search"]:focus {
  border: 1px solid rgb(34, 119, 210);
}

.search-center svg {
  height: 41px;
  width: 40px;
  padding: 10px;
  margin: 100px -41px;
  color: rgb(34, 119, 210);
  cursor: pointer;
}

.search-hidden h6 {
  color: black;
  text-align: center;
  font-size: 14px;
}

.search-hidden .img-fav {
  width: 100%;
  padding: 20px 0;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 1rem;
}

.img-fav img {
  display: block;
  width: 100px;
  height: 100px;
  transform: scale(1);
  transition: transform 1s ease;
}

.img-fav img:hover {
  transform: scale(1.3);
}

.img-fav .container-favoris {
  text-align: center;
  font-size: 11px;
  padding: 20px;
}

.img-fav a {
  display: block;
  text-decoration: none;
  color: black;
  margin-top: 20px;
}

.img-fav a:hover {
  color: rgb(34, 119, 210);
}

/****** BOUTTON NAV HIDDEN */
.menu-btn .list-nav-hidden {
  width: 100%;
  height: 200vh;
  position: absolute;
  right: 0;
  top: 100%;
  z-index: 1;
  background: #f5f7fa;
  display: none;
  animation: open-btn 1s ease;
}

@keyframes open-btn {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

.list-nav-hidden .menu-hori-nav {
  list-style-type: none;
  display: flex;
  justify-content: flex-start;
  flex-direction: column;
  margin: 10px 0;
}

.list-nav-hidden .menu-hori-nav .hori-nav {
  margin: 5px;
  cursor: pointer;
}

.list-nav-hidden .menu-hori-nav hr {
  width: 100%;
  color: whitesmoke;
  height: 0.1px;
}

.menu-hori-nav .link-hori-nav {
  text-decoration: none;
  color: black;
  font-size: 20px;
}

/****** ANIMATION BUTTON */

.connection .open .hamburger {
  transform: translateX(-15px);
  background: transparent;
  box-shadow: none;
}

.connection .open .hamburger::before {
  transform: rotate(45deg) translate(10px, -10px);
}

.connection .open .hamburger::after {
  transform: rotate(-45deg) translate(10px, 10px);
}

/********************* LOG IN HIDDEN */

.portail-connection .content-login {
  z-index: 19;
  position: absolute;
  top: 100%;
  right: 0;
  background-color: #f5f7fa;
  width: 290px;
  padding: 10px;
  display: none;
  border-radius: 0 0 10px 10px;
}

.content-login .control-panel {
  width: 100%;
  height: 100%;
  margin: 0 auto;
}

.control-panel .sigin {
  text-align: center;
  color: black;
  margin: 10px 0;
  font-size: 20px;
}

.control-panel .btn-connexion {
  display: flex;
  justify-content: center;
  flex-direction: column;
}

.btn-connexion img {
  width: 25px;
  height: 25px;
  margin: 0 5px;
}

.btn-connexion .co {
  display: flex;
  justify-content: center;
}

.btn-connexion button {
  padding: 10px;
  width: 100%;
  height: 40px;
  margin: 10px 5px;
  border: none;
  background: black;
  color: white;
  cursor: pointer;
  display: flex;
  justify-content: center;
  align-items: center;
}

.btn-connexion .gmail:hover {
  background: gold;
}

.btn-connexion .fb:hover {
  background: #3b5998;
}

.content-login .write-co {
  color: black;
  margin: 10px 0;
}

.content-login input {
  border: none;
  outline: none;
  display: block;
  width: 100%;
  padding: 10px;
  margin: 0 auto;
  position: relative;
}

.adress-email,
.password {
  display: flex;
  align-items: center;
}

.fa-user,
.fa-lock {
  color: black;
  width: 20px;
  height: 20px;
}

.content-login .log-in {
  display: block;
  margin: 20px auto;
  border: none;
  padding: 10px;
  width: 150px;
  height: 40px;
  background-color: black;
  color: white;
  cursor: pointer;
}

.content-login .account {
  text-align: center;
  color: black;
  font-size: 12px;
}

.content-login .log-in:hover {
  background-color: rgb(34, 119, 210);
}

.content-login span {
  color: rgb(34, 119, 210);
}

/********************* SLIDER */

.container-slider {
  width: 85%;
  margin: 30px auto;
  position: relative;
}

.container-slider .slide-img {
  height: 80vh;
  overflow: hidden;
  border-radius: 20px;
  box-shadow: 5px 5px 10px;
}

.container-slider .slider {
  height: 100%;
  display: flex;
  width: 500%;
  transition: all 500ms ease-in-out;
}

.container-slider .slider .carousel-item {
  flex-basis: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.container-slider .slider img {
  object-fit: center;
  width: 100%;
  height: 100%;
  display: flex;
}

.container-slider .btn-left {
  position: absolute;
  top: 50%;
  left: -30px;
  transform: translateY(-50%);
  cursor: pointer;
  color: black;
  font-size: 20px;
  border-radius: 100%;
  padding: 20px;
  background-color: #f5f7fa;
  box-shadow: 5px 7px 7px gray;
  display: none;
}

.container-slider .btn-right {
  position: absolute;
  top: 50%;
  right: -30px;
  transform: translateY(-50%);
  cursor: pointer;
  color: black;
  font-size: 20px;
  padding: 20px;
  border-radius: 100%;
  background-color: #f5f7fa;
  box-shadow: 5px 7px 7px gray;
  display: none;
}

.container-slider:hover .btn-left {
  display: block;
}

.container-slider:hover .btn-right {
  display: block;
}

.container-slider .radio-slide {
  position: absolute;
  bottom: 20px;
  left: 50%;
  transform: translateX(-50%);
  list-style-type: none;
  display: flex;
  padding: 0;
  margin: 0;
}

.radio-slide .list-slide {
  margin: 10px;
  width: 15px;
  height: 15px;
  border-radius: 100%;
  background-color: rgba(255, 255, 255, 1);
  border: 2px solid rgba(255, 255, 255, 1);
  cursor: pointer;
}

.radio-slide .list-slide.selected {
  background-color: transparent;
}

/********************* CONTAINER */
.container-equipement {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 3rem;
  width: 100%;
  height: 200px;
  margin-top: 50px;
  position: relative;
}

.container-equipement .repair,
.container-equipement .smartphone,
.container-equipement .pc,
.container-equipement .tablette,
.container-equipement .others-equipement {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  height: 200px;
  width: 12%;
  box-shadow: 2px 4px 4px black;
  cursor: pointer;
  border-radius: 10px 10px 0 0;
  background-color: white;
}

.container-equipement .link-container {
  margin-top: 40px;
  color: black;
  text-decoration: none;
  text-align: center;
}

.container-equipement .link-container:hover {
  color: lightgray;
}

.container-equipement .img-nav {
  width: 100px;
  height: 100px;
  display: flex;
  justify-content: center;
  align-items: center;
}

/*************** REPAIR HIDDEN */

.repair .repair-hidden,
.smartphone .repair-hidden,
.pc .repair-hidden,
.tablette .repair-hidden,
.others-equipement .repair-hidden {
  display: none;
}

.repair:hover .repair-hidden,
.smartphone:hover .repair-hidden,
.pc:hover .repair-hidden,
.tablette:hover .repair-hidden,
.others-equipement:hover .repair-hidden {
  display: block;
  width: 12%;
  background-color: gray;
  position: absolute;
  top: 200px;
  border-radius: 0 0 10px 10px;
  box-shadow: 2px 4px 4px black;
  z-index: 1;
}

.repair-hidden .element-center {
  height: 30px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.element-center .logo-smartphone {
  text-decoration: none;
  color: black;
}

.element-center:hover .logo-smartphone {
  color: lightgray;
}

.element-center .img-logo {
  width: 18px;
  height: 18px;
  margin: 0 2px;
}

/********************* LIST-PHONE HIDDEN */
.element-center .list-phone {
  display: none;
}

.container-equipement:hover .list-phone {
  display: flex;
  justify-content: flex-start;
  align-items: flex-start;
  flex-direction: row;
  flex-wrap: wrap;
  gap: 15px;
  background-color: white;
  position: absolute;
  left: 100%;
  top: 0;
  z-index: 1;
  width: 506%;
  height: auto;
  box-shadow: 5px 7px 7px gray;
  overflow-y: scroll;
  padding: 0 10px;
}

.list-phone .phone {
  height: 100%;
  height: auto;
  box-shadow: 5px 7px 7px gray;
}

.list-phone .phone p {
  background-color: rgb(34, 119, 210);
  color: white;
  width: 100%;
  text-align: center;
  padding: 10px;
  margin-bottom: 5px;
  font-size: 13px;
}

.list-phone .phone a {
  display: block;
  text-decoration: none;
  color: black;
}

.list-phone .phone a:hover {
  color: gray;
}

/********************* SHOP */
.shop {
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: white;
  width: 600px;
  margin: 20px auto;
  overflow: hidden;
  border-radius: 20px;
}

.shop .container-shop {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 40px;
}

.shop .container-shop img {
  width: 150px;
  height: 150px;
  position: relative;
  top: -130px;
  left: -20px;
}

.container-shop .descrip {
  display: flex;
  align-items: flex-start;
  justify-content: flex-start;
  flex-direction: column;
  position: relative;
  padding: 20px 0;
}

.container-shop .descrip .promo {
  background-color: #242e4c;
  color: white;
  padding: 5px;
  border-radius: 13px;
  font-size: 13px;
}

.container-shop .descrip h3 {
  color: #242e4c;
  margin: 20px 0;
  font-size: 28px;
}

.container-shop .descrip .price {
  text-decoration: 1px red line-through;
}

.container-shop .descrip .just-price {
  color: #242e4c;
  margin: 10px 0;
  font-size: 20px;
}

.container-shop .descrip #addCart {
  border: none;
  background-color: rgb(34, 119, 210);
  padding: 15px;
  display: block;
  margin: 30px auto;
  width: 100%;
  color: white;
  font-size: 15px;
  box-shadow: 0px 5px 0 black;
  border-radius: 10px;
  cursor: pointer;
  transition: 800ms ease;
}

.container-shop .descrip #addCart:hover {
  background-color: black;
  box-shadow: 0px 5px 0 white;
}

.descrip .stock {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  margin: 20px 0;
}

.descrip .stock #cercle {
  width: 10px;
  height: 10px;
  background-color: rgb(23, 232, 12);
  border-radius: 50%;
}

.descrip .stock .pcs {
  margin-left: 5px;
}

.descrip .fav {
  margin-top: 20px;
}

.descrip .fav button {
  border: 1px solid gray;
  background-color: white;
  border-radius: 10px;
  text-decoration: none;
  color: #242e4c;
  font-size: 14px;
  padding: 15px;
  cursor: pointer;
  position: relative;
  z-index: 1;
}

.descrip .fav #addShopping {
  position: relative;
  overflow: hidden;
  transition: 2s;
}

.descrip .fav #addShopping:hover {
  color: white;
  border: none;
}

.descrip .fav #addShopping::before {
  content: "";
  position: absolute;
  top: -100%;
  left: -150px;
  transform: rotate(45deg);
  background-color: transparent;
  transition: all 1s ease-in;
  width: 0;
  height: 0;
  z-index: -1;
}

.descrip .fav #addShopping:hover:before {
  background-color: rgb(34, 119, 210);
  width: 290px;
  height: 150px;
}

.descrip .fav #addShopping::after {
  content: "";
  position: absolute;
  top: -100%;
  right: -150px;
  transform: rotate(45deg);
  background-color: transparent;
  transition: all 1s ease-in;
  width: 0;
  height: 0;
  z-index: -1;
}

.descrip .fav #addShopping:hover::after {
  background-color: rgb(34, 119, 210);
  width: 290px;
  height: 150px;
}

.descrip .fav #btnWhitelist {
  background: transparent;
  position: relative;
  overflow: hidden;
  transition: 2s;
}

.descrip .fav #btnWhitelist:hover {
  color: white;
  border: none;
}

.descrip .fav #btnWhitelist::before {
  content: "";
  position: absolute;
  top: -100%;
  left: -150px;
  transform: rotate(45deg);
  background-color: transparent;
  transition: all 1s ease-in;
  width: 0;
  height: 0;
  z-index: -1;
}

.descrip .fav #btnWhitelist:hover:before {
  background-color: red;
  width: 290px;
  height: 150px;
}

.descrip .fav #btnWhitelist::after {
  content: "";
  position: absolute;
  top: -100%;
  right: -150px;
  transform: rotate(45deg);
  background-color: transparent;
  transition: all 1s ease-in;
  width: 0;
  height: 0;
  z-index: -1;
}

.descrip .fav #btnWhitelist:hover::after {
  background-color: red;
  width: 290px;
  height: 150px;
}

/***** MEDIA REPONSIVE *****/

@media screen and (max-width: 800px) {
  .connection .menu-btn {
    display: flex;
  }
}
